-------------------------------------------------------------------------------
-- LMP - Removed Fonts v1.2
-------------------------------------------------------------------------------
--
-- Copyright (c) 2014 Ales Machat (Garkin)
--
-- Permission is hereby granted, free of charge, to any person
-- obtaining a copy of this software and associated documentation
-- files (the "Software"), to deal in the Software without
-- restriction, including without limitation the rights to use,
-- copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following
-- conditions:
--
-- The above copyright notice and this permission notice shall be
-- included in all copies or substantial portions of the Software.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-- EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
-- OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-- NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
-- HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
-- WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-- FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-- OTHER DEALINGS IN THE SOFTWARE.
--
--------------------------------------------------------------------------------
local function OnAddOnLoaded(eventCode, addOnName)
   if addOnName:find("^ZO_") then return end
   EVENT_MANAGER:UnregisterForEvent("LMP-RemovedFonts", eventCode)

   local LMP = LibStub("LibMediaProvider-1.0")

   --if the first loaded version of LibMediaProvider was r6 and older, fonts are
   --already registered, but with invalid paths.
   if LMP.MediaTable.font["Arial Narrow"]     then LMP.MediaTable.font["Arial Narrow"]     = "LMP-RemovedFonts/Fonts/arialn.ttf"               end
   if LMP.MediaTable.font["ESO Cartographer"] then LMP.MediaTable.font["ESO Cartographer"] = "LMP-RemovedFonts/Fonts/esocartographer-bold.otf" end
   if LMP.MediaTable.font["Fontin Bold"]      then LMP.MediaTable.font["Fontin Bold"]      = "LMP-RemovedFonts/Fonts/fontin_sans_b.otf"        end
   if LMP.MediaTable.font["Fontin Italic"]    then LMP.MediaTable.font["Fontin Italic"]    = "LMP-RemovedFonts/Fonts/fontin_sans_i.otf"        end
   if LMP.MediaTable.font["Fontin Regular"]   then LMP.MediaTable.font["Fontin Regular"]   = "LMP-RemovedFonts/Fonts/fontin_sans_r.otf"        end
   if LMP.MediaTable.font["Fontin SmallCaps"] then LMP.MediaTable.font["Fontin SmallCaps"] = "LMP-RemovedFonts/Fonts/fontin_sans_sc.otf"       end

   --LMP r7 and above doesn't have fonts registered yet
   LMP:Register("font", "Arial Narrow",           "LMP-RemovedFonts/Fonts/arialn.ttf")
   LMP:Register("font", "ESO Cartographer",       "LMP-RemovedFonts/Fonts/esocartographer-bold.otf")
   LMP:Register("font", "Fontin Bold",            "LMP-RemovedFonts/Fonts/fontin_sans_b.otf")
   LMP:Register("font", "Fontin Italic",          "LMP-RemovedFonts/Fonts/fontin_sans_i.otf")
   LMP:Register("font", "Fontin Regular",         "LMP-RemovedFonts/Fonts/fontin_sans_r.otf")
   LMP:Register("font", "Fontin SmallCaps",       "LMP-RemovedFonts/Fonts/fontin_sans_sc.otf")
end

EVENT_MANAGER:RegisterForEvent("LMP-RemovedFonts", EVENT_ADD_ON_LOADED, OnAddOnLoaded)